import type { Component } from 'vue';
import { createApp } from 'vue';

export default async function Loader(component: Component, ...loader: DEV.Loader[]) {
  const app = createApp(component);
  for (const fn of loader) {
    await fn(app);
  }

  return app;
}

export { default as launchLoader } from './launch.loader';
export { default as debugLoader } from './debug.loader';
